// custom themes is taken and customized from daisy ui themes
// https://github.com/saadeghi/daisyui/blob/master/src/theming/themes.js

import { commonColors, semanticColors } from '@nextui-org/theme';

import { swapColorValues } from '../utils';

const lightBase = {
  colors: {
    'background-body': '#ffffff',
    'background-title-bar': '#fefefe',
  },
};

const darkBase = {
  colors: {
    'background-body': '#000000',
    'background-title-bar': '#070708',
  },
};

const lightRedTheme = {
  extend: 'light',
  colors: {
    ...semanticColors.light,
    ...lightBase.colors,
    primary: {
      ...commonColors.red,
      foreground: commonColors.white,
      DEFAULT: commonColors.red[500],
    },
    secondary: {
      ...commonColors.yellow,
      foreground: commonColors.white,
      DEFAULT: commonColors.yellow[500],
    },
    focus: {
      DEFAULT: commonColors.red[500],
    },
  },
};

const lightYellowTheme = {
  extend: 'light',
  colors: {
    ...semanticColors.light,
    ...lightBase.colors,
    primary: {
      ...commonColors.yellow,
      foreground: commonColors.white,
      DEFAULT: commonColors.yellow[500],
    },
    secondary: {
      ...commonColors.green,
      foreground: commonColors.white,
      DEFAULT: commonColors.green[500],
    },
    focus: {
      DEFAULT: commonColors.yellow[500],
    },
  },
};

const lightGreenTheme = {
  extend: 'light',
  colors: {
    ...semanticColors.light,
    ...lightBase.colors,
    primary: {
      ...commonColors.green,
      foreground: commonColors.white,
      DEFAULT: commonColors.green[500],
    },
    secondary: {
      ...commonColors.cyan,
      foreground: commonColors.white,
      DEFAULT: commonColors.cyan[500],
    },
    focus: {
      DEFAULT: commonColors.green[500],
    },
  },
};

const lightCyanTheme = {
  extend: 'light',
  colors: {
    ...semanticColors.light,
    ...lightBase.colors,
    primary: {
      ...commonColors.cyan,
      foreground: commonColors.white,
      DEFAULT: commonColors.cyan[500],
    },
    secondary: {
      ...commonColors.blue,
      foreground: commonColors.white,
      DEFAULT: commonColors.blue[500],
    },
    focus: {
      DEFAULT: commonColors.cyan[500],
    },
  },
};

const lightPurpleTheme = {
  extend: 'light',
  colors: {
    ...semanticColors.light,
    ...lightBase.colors,
    primary: {
      ...commonColors.purple,
      foreground: commonColors.white,
      DEFAULT: commonColors.purple[500],
    },
    secondary: {
      ...commonColors.pink,
      foreground: commonColors.white,
      DEFAULT: commonColors.pink[500],
    },
    focus: {
      DEFAULT: commonColors.purple[500],
    },
  },
};

const lightPinkTheme = {
  extend: 'light',
  colors: {
    ...semanticColors.light,
    ...lightBase.colors,
    primary: {
      ...commonColors.pink,
      foreground: commonColors.white,
      DEFAULT: commonColors.pink[500],
    },
    secondary: {
      ...commonColors.red,
      foreground: commonColors.white,
      DEFAULT: commonColors.red[500],
    },
    focus: {
      DEFAULT: commonColors.pink[500],
    },
  },
};

const darkRedTheme = {
  extend: 'dark',
  colors: {
    ...semanticColors.dark,
    ...darkBase.colors,
    primary: {
      ...swapColorValues(commonColors.red),
      foreground: commonColors.white,
      DEFAULT: commonColors.red[500],
    },
    secondary: {
      ...swapColorValues(commonColors.yellow),
      foreground: commonColors.white,
      DEFAULT: commonColors.yellow[500],
    },
    focus: {
      DEFAULT: commonColors.red[500],
    },
  },
};

const darkYellowTheme = {
  extend: 'dark',
  colors: {
    ...semanticColors.dark,
    ...darkBase.colors,
    primary: {
      ...swapColorValues(commonColors.yellow),
      foreground: commonColors.white,
      DEFAULT: commonColors.yellow[500],
    },
    secondary: {
      ...swapColorValues(commonColors.green),
      foreground: commonColors.white,
      DEFAULT: commonColors.green[500],
    },
    focus: {
      DEFAULT: commonColors.yellow[500],
    },
  },
};

const darkGreenTheme = {
  extend: 'dark',
  colors: {
    ...semanticColors.dark,
    ...darkBase.colors,
    primary: {
      ...swapColorValues(commonColors.green),
      foreground: commonColors.white,
      DEFAULT: commonColors.green[500],
    },
    secondary: {
      ...swapColorValues(commonColors.cyan),
      foreground: commonColors.white,
      DEFAULT: commonColors.cyan[500],
    },
    focus: {
      DEFAULT: commonColors.green[500],
    },
  },
};

const darkCyanTheme = {
  extend: 'dark',
  colors: {
    ...semanticColors.dark,
    ...darkBase.colors,
    primary: {
      ...swapColorValues(commonColors.cyan),
      foreground: commonColors.white,
      DEFAULT: commonColors.cyan[500],
    },
    secondary: {
      ...swapColorValues(commonColors.blue),
      foreground: commonColors.white,
      DEFAULT: commonColors.blue[500],
    },
    focus: {
      DEFAULT: commonColors.cyan[500],
    },
  },
};

const darkPurpleTheme = {
  extend: 'dark',
  colors: {
    ...semanticColors.dark,
    ...darkBase.colors,
    primary: {
      ...swapColorValues(commonColors.purple),
      foreground: commonColors.white,
      DEFAULT: commonColors.purple[500],
    },
    secondary: {
      ...swapColorValues(commonColors.pink),
      foreground: commonColors.white,
      DEFAULT: commonColors.pink[500],
    },
    focus: {
      DEFAULT: commonColors.purple[500],
    },
  },
};

const darkPinkTheme = {
  extend: 'dark',
  colors: {
    ...semanticColors.dark,
    ...darkBase.colors,
    primary: {
      ...swapColorValues(commonColors.pink),
      foreground: commonColors.white,
      DEFAULT: commonColors.pink[500],
    },
    secondary: {
      ...swapColorValues(commonColors.red),
      foreground: commonColors.white,
      DEFAULT: commonColors.red[500],
    },
    focus: {
      DEFAULT: commonColors.pink[500],
    },
  },
};

const cupcakeTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f9f6fc',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#faf7f5',
    },
    foreground: {
      DEFAULT: '#281435',
    },
    divider: {
      DEFAULT: 'rgba(40, 20, 53, 0.25)',
    },
    focus: {
      DEFAULT: '#5fb8be',
    },
    content1: {
      DEFAULT: '#EADEF2',
      foreground: '#08040B',
    },
    content2: {
      DEFAULT: '#D8C0E7',
      foreground: '#110816',
    },
    content3: {
      DEFAULT: '#B081CF',
      foreground: '#190D21',
    },
    content4: {
      DEFAULT: '#8844B5',
      foreground: '#1F0F29',
    },
    default: {
      50: '#EADEF2',
      100: '#D8C0E7',
      200: '#B081CF',
      300: '#8844B5',
      400: '#562B73',
      500: '#281435',
      600: '#1F0F29',
      700: '#190D21',
      800: '#110816',
      900: '#08040B',
      DEFAULT: '#8844B5',
      foreground: '#110816',
    },
    primary: {
      50: '#F0F9F9',
      100: '#E2F2F3',
      200: '#C8E7E9',
      300: '#ABDADE',
      400: '#91CFD4',
      500: '#74C2C8',
      600: '#48AFB7',
      700: '#358287',
      800: '#24585B',
      900: '#112A2C',
      DEFAULT: '#74C2C8',
      foreground: '#1c2728',
    },
    secondary: {
      50: '#FDF7F9',
      100: '#FAEAF1',
      200: '#F6DAE5',
      300: '#F1C6D7',
      400: '#EDB5CC',
      500: '#E8A0BD',
      600: '#D96392',
      700: '#BD2E67',
      800: '#7F1F45',
      900: '#3E0F22',
      DEFAULT: '#E8A0BD',
      foreground: '#2e2327',
    },
    success: {
      50: '#EEFEEC',
      100: '#DFFCE3',
      200: '#C0FACD',
      300: '#9EF1B8',
      400: '#81E3AA',
      500: '#59D298',
      600: '#41B488',
      700: '#2C9779',
      800: '#1C7969',
      900: '#11645E',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEFBE2',
      100: '#FEF7CF',
      200: '#FDEEA1',
      300: '#FBE171',
      400: '#F8D34E',
      500: '#F4BE15',
      600: '#D19D0F',
      700: '#AF7F0A',
      800: '#8D6206',
      900: '#754E04',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FEF6EE',
      100: '#FEEDE3',
      200: '#FDD6C8',
      300: '#F9B9AB',
      400: '#F49E95',
      500: '#EE7372',
      600: '#CC535C',
      700: '#AB394C',
      800: '#8A243D',
      900: '#721534',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
  layout: {
    radius: {
      small: '0.75rem',
      medium: '1rem',
      large: '1.5rem',
    },
  },
};

const bumblebeeTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f9f9fe',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#333333',
    },
    divider: {
      DEFAULT: 'rgba(51, 51, 51, 0.25)',
    },
    focus: {
      DEFAULT: '#f3d000',
    },
    content1: {
      DEFAULT: '#ECECFB',
      foreground: '#040417',
    },
    content2: {
      DEFAULT: '#DCDCF4',
      foreground: '#07071B',
    },
    content3: {
      DEFAULT: '#BBBBEA',
      foreground: '#0C0C22',
    },
    content4: {
      DEFAULT: '#8787C0',
      foreground: '#111129',
    },
    default: {
      50: '#ECECFB',
      100: '#DCDCF4',
      200: '#BBBBEA',
      300: '#8787C0',
      400: '#515182',
      500: '#181830',
      600: '#111129',
      700: '#0C0C22',
      800: '#07071B',
      900: '#040417',
      DEFAULT: '#8787C0',
      foreground: '#07071B',
    },
    primary: {
      50: '#FEF9E4',
      100: '#FBF3D2',
      200: '#F8E4A6',
      300: '#ECCB76',
      400: '#D9AF52',
      500: '#C08921',
      600: '#A56F18',
      700: '#8A5710',
      800: '#6F410A',
      900: '#5C3206',
      DEFAULT: '#C08921',
      foreground: '#181830',
    },
    secondary: {
      50: '#FDFBE5',
      100: '#F8F1D3',
      200: '#F0E2A3',
      300: '#E9D477',
      400: '#E2C74B',
      500: '#D6B422',
      600: '#AC911B',
      700: '#806C14',
      800: '#54470D',
      900: '#2C2507',
      DEFAULT: '#D6B422',
      foreground: '#181830',
    },
    success: {
      50: '#EEFEEC',
      100: '#DFFCE3',
      200: '#C0FACD',
      300: '#9EF1B8',
      400: '#81E3AA',
      500: '#59D298',
      600: '#41B488',
      700: '#2C9779',
      800: '#1C7969',
      900: '#11645E',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEFBE2',
      100: '#FEF7CF',
      200: '#FDEEA1',
      300: '#FBE171',
      400: '#F8D34E',
      500: '#F4BE15',
      600: '#D19D0F',
      700: '#AF7F0A',
      800: '#8D6206',
      900: '#754E04',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FEF6EE',
      100: '#FEEDE3',
      200: '#FDD6C8',
      300: '#F9B9AB',
      400: '#F49E95',
      500: '#EE7372',
      600: '#CC535C',
      700: '#AB394C',
      800: '#8A243D',
      900: '#721534',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
};

const emeraldTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f9fafb',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#343c4d',
    },
    divider: {
      DEFAULT: 'rgba(52, 60, 77, 0.25)',
    },
    focus: {
      DEFAULT: '#60c273',
    },
    content1: {
      DEFAULT: '#EAECF1',
      foreground: '#0A0C0F',
    },
    content2: {
      DEFAULT: '#D1D6E0',
      foreground: '#15181E',
    },
    content3: {
      DEFAULT: '#A4ADC1',
      foreground: '#1F242E',
    },
    content4: {
      DEFAULT: '#7684A3',
      foreground: '#292F3D',
    },
    default: {
      50: '#EAECF1',
      100: '#D1D6E0',
      200: '#A4ADC1',
      300: '#7684A3',
      400: '#525F7A',
      500: '#343C4D',
      600: '#292F3D',
      700: '#1F242E',
      800: '#15181E',
      900: '#0A0C0F',
      DEFAULT: '#7684A3',
      foreground: '#15181E',
    },
    primary: {
      50: '#F0F9F2',
      100: '#E5F5E9',
      200: '#C7EACF',
      300: '#ADE0B8',
      400: '#90D59F',
      500: '#75CB88',
      600: '#46B95F',
      700: '#358D48',
      800: '#235D2F',
      900: '#123019',
      DEFAULT: '#75CB88',
      foreground: '#273e31',
    },
    secondary: {
      50: '#EBF0FF',
      100: '#DCE6FF',
      200: '#B8CCFE',
      300: '#90AFFE',
      400: '#6D96FD',
      500: '#497CFD',
      600: '#084DFC',
      700: '#0238C0',
      800: '#012683',
      900: '#011342',
      DEFAULT: '#497CFD',
      foreground: '#f9fafb',
    },
    success: {
      50: '#EEFEEC',
      100: '#DFFCE3',
      200: '#C0FACD',
      300: '#9EF1B8',
      400: '#81E3AA',
      500: '#59D298',
      600: '#41B488',
      700: '#2C9779',
      800: '#1C7969',
      900: '#11645E',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEFBE2',
      100: '#FEF7CF',
      200: '#FDEEA1',
      300: '#FBE171',
      400: '#F8D34E',
      500: '#F4BE15',
      600: '#D19D0F',
      700: '#AF7F0A',
      800: '#8D6206',
      900: '#754E04',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FEF6EE',
      100: '#FEEDE3',
      200: '#FDD6C8',
      300: '#F9B9AB',
      400: '#F49E95',
      500: '#EE7372',
      600: '#CC535C',
      700: '#AB394C',
      800: '#8A243D',
      900: '#721534',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
};

const corporateTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f7f7fa',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#191a2a',
    },
    divider: {
      DEFAULT: 'rgba(25, 26, 42, 0.25)',
    },
    focus: {
      DEFAULT: '#3850fd',
    },
    content1: {
      DEFAULT: '#E2E3EE',
      foreground: '#06060A',
    },
    content2: {
      DEFAULT: '#C9CADF',
      foreground: '#0A0A10',
    },
    content3: {
      DEFAULT: '#8F92BC',
      foreground: '#0F101A',
    },
    content4: {
      DEFAULT: '#5B5F99',
      foreground: '#131420',
    },
    default: {
      50: '#E2E3EE',
      100: '#C9CADF',
      200: '#8F92BC',
      300: '#5B5F99',
      400: '#393C60',
      500: '#191A2A',
      600: '#131420',
      700: '#0F101A',
      800: '#0A0A10',
      900: '#06060A',
      DEFAULT: '#7684A3',
      foreground: '#0A0A10',
    },
    primary: {
      50: '#F0F2FF',
      100: '#DCE1FF',
      200: '#B8C3FE',
      300: '#9AA9FE',
      400: '#778BFD',
      500: '#546CFD',
      600: '#1235FC',
      700: '#0220CA',
      800: '#021583',
      900: '#010A42',
      DEFAULT: '#546CFD',
      foreground: '#e2e0ff',
    },
    secondary: {
      50: '#F2F4F7',
      100: '#E6E9F0',
      200: '#CCD3E0',
      300: '#B3BED1',
      400: '#99A8C2',
      500: '#7F92B2',
      600: '#5C7299',
      700: '#455673',
      800: '#2E394C',
      900: '#171D26',
      DEFAULT: '#7F92B2',
      foreground: '#1d2026',
    },
    success: {
      50: '#EEFEEC',
      100: '#DFFCE3',
      200: '#C0FACD',
      300: '#9EF1B8',
      400: '#81E3AA',
      500: '#59D298',
      600: '#41B488',
      700: '#2C9779',
      800: '#1C7969',
      900: '#11645E',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEFBE2',
      100: '#FEF7CF',
      200: '#FDEEA1',
      300: '#FBE171',
      400: '#F8D34E',
      500: '#F4BE15',
      600: '#D19D0F',
      700: '#AF7F0A',
      800: '#8D6206',
      900: '#754E04',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FEF6EE',
      100: '#FEEDE3',
      200: '#FDD6C8',
      300: '#F9B9AB',
      400: '#F49E95',
      500: '#EE7372',
      600: '#CC535C',
      700: '#AB394C',
      800: '#8A243D',
      900: '#721534',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
  layout: {
    radius: {
      small: '0.075rem',
      medium: '0.1rem',
      large: '0.15rem',
    },
  },
};

const synthwaveTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#03010b',
    'background-body': '#000000',
    background: {
      DEFAULT: '#2d1b69',
    },
    foreground: {
      DEFAULT: '#f9f7fd',
    },
    divider: {
      DEFAULT: 'rgba(249, 247, 253, 0.20)',
    },
    focus: {
      DEFAULT: '#d95cb4',
    },
    content1: {
      DEFAULT: '#080325',
      foreground: '#EDE5FC',
    },
    content2: {
      DEFAULT: '#0C062D',
      foreground: '#DCD0F6',
    },
    content3: {
      DEFAULT: '#110938',
      foreground: '#BAA5ED',
    },
    content4: {
      DEFAULT: '#180D43',
      foreground: '#866EC9',
    },
    default: {
      50: '#080325',
      100: '#0C062D',
      200: '#110938',
      300: '#180D43',
      400: '#20134E',
      500: '#544094',
      600: '#866EC9',
      700: '#BAA5ED',
      800: '#DCD0F6',
      900: '#EDE5FC',
      DEFAULT: '#20134E',
      foreground: '#f9f7fd',
    },
    primary: {
      50: '#54105F',
      100: '#6F1C72',
      200: '#8E2C89',
      300: '#AA409A',
      400: '#C658AB',
      500: '#DC80BD',
      600: '#ED9ECB',
      700: '#F9C1DB',
      800: '#FCE0EA',
      900: '#FAF0F7',
      DEFAULT: '#C658AB',
      foreground: '#43012f',
    },
    secondary: {
      50: '#0C2F63',
      100: '#144278',
      200: '#205E95',
      300: '#2E7CB2',
      400: '#409ED0',
      500: '#6DC1E2',
      600: '#8CDAF0',
      700: '#B4EFFA',
      800: '#D9F9FC',
      900: '#EBF5FA',
      DEFAULT: '#409ED0',
      foreground: '#0b2f42',
    },
    success: {
      50: '#155F70',
      100: '#247F87',
      200: '#38A8A7',
      300: '#52C9BC',
      400: '#71EAD2',
      500: '#94F2D6',
      600: '#ABF8DA',
      700: '#C8FCE3',
      800: '#E3FDEE',
      900: '#F2FDFB',
      DEFAULT: '#71EAD2',
      foreground: '#201047',
    },
    warning: {
      50: '#745609',
      100: '#8C6B0F',
      200: '#AE8A18',
      300: '#D0AA23',
      400: '#F3CC30',
      500: '#F7DD62',
      600: '#FBE882',
      700: '#FDF2AC',
      800: '#FEF9D5',
      900: '#FEFAEC',
      DEFAULT: '#F3CC30',
      foreground: '#201047',
    },
    danger: {
      50: '#6C0C3D',
      100: '#831442',
      200: '#A2204A',
      300: '#C22E50',
      400: '#E24056',
      500: '#ED6D73',
      600: '#F6918C',
      700: '#FCBEB3',
      800: '#FDE1D9',
      900: '#FCEDEF',
      DEFAULT: '#E24056',
      foreground: '#f9f7fd',
    },
  },
};

const retroTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fffefc',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#e2d8b3',
    },
    foreground: {
      DEFAULT: '#282425',
    },
    divider: {
      DEFAULT: 'rgba(40, 36, 37, 0.25)',
    },
    focus: {
      DEFAULT: '#e27c76',
    },
    content1: {
      DEFAULT: '#FDFBF4',
      foreground: '#3B2911',
    },
    content2: {
      DEFAULT: '#F8F5EA',
      foreground: '#48361C',
    },
    content3: {
      DEFAULT: '#F2ECD6',
      foreground: '#59492C',
    },
    content4: {
      DEFAULT: '#D8CEB2',
      foreground: '#6B5D41',
    },
    default: {
      50: '#FDFBF4',
      100: '#F8F5EA',
      200: '#F2ECD6',
      300: '#D8CEB2',
      400: '#B1A68A',
      500: '#7D7259',
      600: '#6B5D41',
      700: '#59492C',
      800: '#48361C',
      900: '#3B2911',
      DEFAULT: '#D8CEB2',
      foreground: '#48361C',
    },
    primary: {
      50: '#FAF0F0',
      100: '#FCECE4',
      200: '#FAD5CA',
      300: '#F0B5AB',
      400: '#E19491',
      500: '#CD6C70',
      600: '#B04E5B',
      700: '#93364A',
      800: '#76223C',
      900: '#621433',
      DEFAULT: '#CD6C70',
      foreground: '#282425',
    },
    secondary: {
      50: '#F2F7F5',
      100: '#EBFAEC',
      200: '#D7F6DE',
      300: '#BAE6C8',
      400: '#9DCEB1',
      500: '#77AE93',
      600: '#56957D',
      700: '#3B7D6A',
      800: '#256458',
      900: '#16534E',
      DEFAULT: '#77AE93',
      foreground: '#282425',
    },
    success: {
      50: '#E4FBED',
      100: '#D0FACF',
      200: '#A0F5A6',
      300: '#6DE381',
      400: '#46C769',
      500: '#16A34A',
      600: '#108C4A',
      700: '#0B7547',
      800: '#075E41',
      900: '#044E3C',
      DEFAULT: '#16A34A',
      foreground: '#c6ffd5',
    },
    warning: {
      50: '#FEF1E1',
      100: '#FDEFCB',
      200: '#FBDB99',
      300: '#F3BE65',
      400: '#E8A13E',
      500: '#D97706',
      600: '#BA5D04',
      700: '#9C4603',
      800: '#7D3201',
      900: '#682501',
      DEFAULT: '#D97706',
      foreground: '#2b1800',
    },
    danger: {
      50: '#FBE9E9',
      100: '#FDE1D3',
      200: '#FBBDA8',
      300: '#F4907B',
      400: '#EA6558',
      500: '#DC2626',
      600: '#BD1B29',
      700: '#9E132B',
      800: '#7F0C2A',
      900: '#690729',
      DEFAULT: '#DC2626',
      foreground: '#facdcd',
    },
  },
  layout: {
    radius: {
      small: '0.225rem',
      medium: '0.3rem',
      large: '0.45rem',
    },
  },
};

const cyberpunkTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fffff1',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#fcee00',
    },
    foreground: {
      DEFAULT: '#302d11',
    },
    divider: {
      DEFAULT: 'rgba(48, 45, 17, 0.25)',
    },
    focus: {
      DEFAULT: '#f4547e',
    },
    content1: {
      DEFAULT: '#FFFDD1',
      foreground: '#0F0F00',
    },
    content2: {
      DEFAULT: '#FFFBA8',
      foreground: '#191800',
    },
    content3: {
      DEFAULT: '#FFF64D',
      foreground: '#292700',
    },
    content4: {
      DEFAULT: '#F5E900',
      foreground: '#333000',
    },
    default: {
      50: '#FFFDD1',
      100: '#FFFBA8',
      200: '#FFF64D',
      300: '#F5E900',
      400: '#999100',
      500: '#423F00',
      600: '#333000',
      700: '#292700',
      800: '#191800',
      900: '#0F0F00',
      DEFAULT: '#F5E900',
      foreground: '#191800',
    },
    primary: {
      50: '#FEF1F4',
      100: '#FDE2EA',
      200: '#FBCBD8',
      300: '#F9AEC2',
      400: '#F792AD',
      500: '#F57799',
      600: '#F03365',
      700: '#CC0F41',
      800: '#8A0A2C',
      900: '#430515',
      DEFAULT: '#F57799',
      foreground: '#2f1c20',
    },
    secondary: {
      50: '#F1FAFD',
      100: '#E8F7FC',
      200: '#CDECF9',
      300: '#B6E4F6',
      400: '#9BDAF3',
      500: '#84D1F0',
      600: '#40B8E8',
      700: '#1896C8',
      800: '#106384',
      900: '#083344',
      DEFAULT: '#84D1F0',
      foreground: '#1f2a2f',
    },
    success: {
      50: '#EFFBF5',
      100: '#DFF6EB',
      200: '#BBECD4',
      300: '#9BE4C0',
      400: '#7BDBAC',
      500: '#59D298',
      600: '#33BD7A',
      700: '#268C5B',
      800: '#195C3C',
      900: '#0D301F',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEF8E7',
      100: '#FDF1CE',
      200: '#FBE5A2',
      300: '#F8D772',
      400: '#F6CA46',
      500: '#F4BE15',
      600: '#CD9C0A',
      700: '#977307',
      800: '#664E05',
      900: '#312502',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FDF1F1',
      100: '#FCE4E4',
      200: '#F8C8C8',
      300: '#F5A9A9',
      400: '#F18D8D',
      500: '#EE7372',
      600: '#E63232',
      700: '#BB1616',
      800: '#7F0F0F',
      900: '#400808',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
  layout: {
    radius: {
      small: '0.075rem',
      medium: '0.1rem',
      large: '0.15rem',
    },
  },
};

const valentineTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fdfafc',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#eed6e8',
    },
    foreground: {
      DEFAULT: '#5f2d3b',
    },
    divider: {
      DEFAULT: 'rgba(95, 45, 59, 0.25)',
    },
    focus: {
      DEFAULT: '#da4f60',
    },
    content1: {
      DEFAULT: '#F7EDF2',
      foreground: '#200E16',
    },
    content2: {
      DEFAULT: '#EED8E1',
      foreground: '#441D2E',
    },
    content3: {
      DEFAULT: '#DFB4C7',
      foreground: '#642A44',
    },
    content4: {
      DEFAULT: '#CF8CA9',
      foreground: '#883A5C',
    },
    default: {
      50: '#F7EDF2',
      100: '#EED8E1',
      200: '#DFB4C7',
      300: '#CF8CA9',
      400: '#BF688E',
      500: '#A84771',
      600: '#883A5C',
      700: '#642A44',
      800: '#441D2E',
      900: '#200E16',
      DEFAULT: '#CF8CA9',
      foreground: '#441D2E',
    },
    primary: {
      50: '#FCF2F4',
      100: '#F9E2E4',
      200: '#F2C4CA',
      300: '#ECA7AF',
      400: '#E68994',
      500: '#E06E7C',
      600: '#D43548',
      700: '#A42332',
      800: '#6D1721',
      900: '#370C11',
      DEFAULT: '#E06E7C',
      foreground: '#2b1b1c',
    },
    secondary: {
      50: '#F8F5FE',
      100: '#ECE7FD',
      200: '#DDD4FC',
      300: '#CBBCFB',
      400: '#BCA9F9',
      500: '#A992F8',
      600: '#7149F3',
      700: '#3E0EDC',
      800: '#2A0A95',
      900: '#140548',
      DEFAULT: '#A992F8',
      foreground: '#231f2e',
    },
    success: {
      50: '#E9F7EA',
      100: '#D6F0D8',
      200: '#A9E0AE',
      300: '#80D188',
      400: '#53C15E',
      500: '#3AA145',
      600: '#2E7F36',
      700: '#236129',
      800: '#17401B',
      900: '#0C220E',
      DEFAULT: '#3AA145',
      foreground: '#daedda',
    },
    warning: {
      50: '#FFF2E0',
      100: '#FFE4C2',
      200: '#FFCC8A',
      300: '#FFB24D',
      400: '#FF970F',
      500: '#D37800',
      600: '#A85F00',
      700: '#804800',
      800: '#573100',
      900: '#291700',
      DEFAULT: '#D37800',
      foreground: '#2b1c0b',
    },
    danger: {
      50: '#FBEAEA',
      100: '#F7D5D4',
      200: '#EEABAA',
      300: '#E6817F',
      400: '#DD5250',
      500: '#D22C29',
      600: '#A62321',
      700: '#801B19',
      800: '#551211',
      900: '#2B0908',
      DEFAULT: '#D22C29',
      foreground: '#fbdad1',
    },
  },
  layout: {
    radius: {
      small: '0.75rem',
      medium: '1rem',
      large: '1.5rem',
    },
  },
};

const halloweenTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#020202',
    'background-body': '#000000',
    background: {
      DEFAULT: '#212121',
    },
    foreground: {
      DEFAULT: '#cfcfcf',
    },
    divider: {
      DEFAULT: 'rgba(207, 207, 207, 0.20)',
    },
    focus: {
      DEFAULT: '#d17a03',
    },
    content1: {
      DEFAULT: '#080808',
      foreground: '#E8E8E8',
    },
    content2: {
      DEFAULT: '#0D0D0D',
      foreground: '#D4D4D4',
    },
    content3: {
      DEFAULT: '#141414',
      foreground: '#A6A6A6',
    },
    content4: {
      DEFAULT: '#1A1A1A',
      foreground: '#7A7A7A',
    },
    default: {
      50: '#080808',
      100: '#0D0D0D',
      200: '#141414',
      300: '#1A1A1A',
      400: '#212121',
      500: '#4D4D4D',
      600: '#7A7A7A',
      700: '#A6A6A6',
      800: '#D4D4D4',
      900: '#E8E8E8',
      DEFAULT: '#212121',
      foreground: '#cfcfcf',
    },
    primary: {
      50: '#301C03',
      100: '#5F3907',
      200: '#8A530A',
      300: '#BA6F0D',
      400: '#E98C10',
      500: '#F2A33B',
      600: '#F5B96B',
      700: '#F8D2A0',
      800: '#FCE8CF',
      900: '#FDF4E7',
      DEFAULT: '#E98C10',
      foreground: '#131616',
    },
    secondary: {
      50: '#160C21',
      100: '#2A183F',
      200: '#402461',
      300: '#542F7E',
      400: '#6A3B9E',
      500: '#8654BF',
      600: '#A681D0',
      700: '#C3AADF',
      800: '#E2D6F0',
      900: '#EFE9F7',
      DEFAULT: '#6A3B9E',
      foreground: '#e1d5ec',
    },
    success: {
      50: '#0C220E',
      100: '#17401B',
      200: '#236129',
      300: '#2E7F36',
      400: '#3AA145',
      500: '#53C15E',
      600: '#80D188',
      700: '#A9E0AE',
      800: '#D6F0D8',
      900: '#E9F7EA',
      DEFAULT: '#3AA145',
      foreground: '#daedda',
    },
    warning: {
      50: '#291700',
      100: '#573100',
      200: '#804800',
      300: '#A85F00',
      400: '#D37800',
      500: '#FF970F',
      600: '#FFB24D',
      700: '#FFCC8A',
      800: '#FFE4C2',
      900: '#FFF2E0',
      DEFAULT: '#D37800',
      foreground: '#2b1c0b',
    },
    danger: {
      50: '#2B0908',
      100: '#551211',
      200: '#801B19',
      300: '#A62321',
      400: '#D22C29',
      500: '#DD5250',
      600: '#E6817F',
      700: '#EEABAA',
      800: '#F7D5D4',
      900: '#FBEAEA',
      DEFAULT: '#D22C29',
      foreground: '#fbdad1',
    },
  },
};

const gardenTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fffcf1',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#e9e7e7',
    },
    foreground: {
      DEFAULT: '#100f0f',
    },
    divider: {
      DEFAULT: 'rgba(16, 15, 15, 0.25)',
    },
    focus: {
      DEFAULT: '#c70c66',
    },
    content1: {
      DEFAULT: '#FFF4D1',
      foreground: '#0A0800',
    },
    content2: {
      DEFAULT: '#FFE8A3',
      foreground: '#0F0B00',
    },
    content3: {
      DEFAULT: '#FFD042',
      foreground: '#191300',
    },
    content4: {
      DEFAULT: '#E6AC00',
      foreground: '#1F1700',
    },
    default: {
      50: '#FFF4D1',
      100: '#FFE8A3',
      200: '#FFD042',
      300: '#E6AC00',
      400: '#856300',
      500: '#281E00',
      600: '#1F1700',
      700: '#191300',
      800: '#0F0B00',
      900: '#0A0800',
      DEFAULT: '#E6AC00',
      foreground: '#0F0B00',
    },
    primary: {
      50: '#FDE7F2',
      100: '#FCCFE5',
      200: '#F8A0CB',
      300: '#F56BAE',
      400: '#F23B93',
      500: '#E91078',
      600: '#BA0D61',
      700: '#8A0A48',
      800: '#5F0732',
      900: '#300319',
      DEFAULT: '#E91078',
      foreground: '#fcdbe4',
    },
    secondary: {
      50: '#F5EAEF',
      100: '#EBD6E0',
      200: '#D7ADC0',
      300: '#C383A1',
      400: '#AF5A82',
      500: '#8A4364',
      600: '#6E3550',
      700: '#52283C',
      800: '#371B28',
      900: '#1B0D14',
      DEFAULT: '#8A4364',
      foreground: '#e8d7dd',
    },
    success: {
      50: '#EEFEEC',
      100: '#DFFCE3',
      200: '#C0FACD',
      300: '#9EF1B8',
      400: '#81E3AA',
      500: '#59D298',
      600: '#41B488',
      700: '#2C9779',
      800: '#1C7969',
      900: '#11645E',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEFBE2',
      100: '#FEF7CF',
      200: '#FDEEA1',
      300: '#FBE171',
      400: '#F8D34E',
      500: '#F4BE15',
      600: '#D19D0F',
      700: '#AF7F0A',
      800: '#8D6206',
      900: '#754E04',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FEF6EE',
      100: '#FEEDE3',
      200: '#FDD6C8',
      300: '#F9B9AB',
      400: '#F49E95',
      500: '#EE7372',
      600: '#CC535C',
      700: '#AB394C',
      800: '#8A243D',
      900: '#721534',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
};

const forestTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#020302',
    'background-body': '#000000',
    background: {
      DEFAULT: '#161212',
    },
    foreground: {
      DEFAULT: '#cac9c9',
    },
    divider: {
      DEFAULT: 'rgba(202, 201, 201, 0.20)',
    },
    focus: {
      DEFAULT: '#389943',
    },
    content1: {
      DEFAULT: '#050A08',
      foreground: '#E4F1EC',
    },
    content2: {
      DEFAULT: '#0B1411',
      foreground: '#C7E1D7',
    },
    content3: {
      DEFAULT: '#101E19',
      foreground: '#8EC2AF',
    },
    content4: {
      DEFAULT: '#172B24',
      foreground: '#57A287',
    },
    default: {
      50: '#050A08',
      100: '#0B1411',
      200: '#101E19',
      300: '#172B24',
      400: '#1C342B',
      500: '#3B6D5B',
      600: '#57A287',
      700: '#8EC2AF',
      800: '#C7E1D7',
      900: '#E4F1EC',
      DEFAULT: '#1C342B',
      foreground: '#ccd2cf',
    },
    primary: {
      50: '#0E2510',
      100: '#1C4A20',
      200: '#297030',
      300: '#379540',
      400: '#44B850',
      500: '#6AC873',
      600: '#8FD696',
      700: '#B5E3B9',
      800: '#DAF1DC',
      900: '#ECF8EE',
      DEFAULT: '#44B850',
      foreground: '#000000',
    },
    secondary: {
      50: '#0E251D',
      100: '#1C4A39',
      200: '#2A6F56',
      300: '#389472',
      400: '#46B98E',
      500: '#6BC7A5',
      600: '#90D5BC',
      700: '#B5E3D2',
      800: '#DAF1E9',
      900: '#ECF8F4',
      DEFAULT: '#46B98E',
      foreground: '#16251e',
    },
    success: {
      50: '#11645E',
      100: '#1C7969',
      200: '#2C9779',
      300: '#41B488',
      400: '#59D298',
      500: '#81E3AA',
      600: '#9EF1B8',
      700: '#C0FACD',
      800: '#DFFCE3',
      900: '#EEFEEC',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#754E04',
      100: '#8D6206',
      200: '#AF7F0A',
      300: '#D19D0F',
      400: '#F4BE15',
      500: '#F8D34E',
      600: '#FBE171',
      700: '#FDEEA1',
      800: '#FEF7CF',
      900: '#FEFBE2',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#721534',
      100: '#8A243D',
      200: '#AB394C',
      300: '#CC535C',
      400: '#EE7372',
      500: '#F49E95',
      600: '#F9B9AB',
      700: '#FDD6C8',
      800: '#FEEDE3',
      900: '#FEF6EE',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
  layout: {
    radius: {
      small: '0.75rem',
      medium: '1rem',
      large: '1.5rem',
    },
  },
};

const aquaTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fafcfe',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#3c5ca9',
    },
    foreground: {
      DEFAULT: '#0E1D2A',
    },
    divider: {
      DEFAULT: 'rgba(217, 221, 238, 0.25)',
    },
    focus: {
      DEFAULT: '#48c8cf',
    },
    content1: {
      DEFAULT: '#ECF2F9',
      foreground: '#0E1D2A',
    },
    content2: {
      DEFAULT: '#DCE8F4',
      foreground: '#1A3651',
    },
    content3: {
      DEFAULT: '#B6CFE7',
      foreground: '#28537B',
    },
    content4: {
      DEFAULT: '#93B9DC',
      foreground: '#3570A6',
    },
    default: {
      50: '#ECF2F9',
      100: '#DCE8F4',
      200: '#B6CFE7',
      300: '#93B9DC',
      400: '#70A2D1',
      500: '#4B8BC5',
      600: '#3570A6',
      700: '#28537B',
      800: '#1A3651',
      900: '#0E1D2A',
      DEFAULT: '#93B9DC',
      foreground: '#1A3651',
    },
    primary: {
      50: '#ECFDFD',
      100: '#DEFBFC',
      200: '#BDF7FA',
      300: '#97F2F6',
      400: '#76EDF4',
      500: '#55E9F1',
      600: '#18E1EC',
      700: '#0FABB3',
      800: '#0A757B',
      900: '#053A3D',
      DEFAULT: '#55E9F1',
      foreground: '#195557',
    },
    secondary: {
      50: '#F5F2F8',
      100: '#E8E1EF',
      200: '#D4C6E1',
      300: '#BDA8D1',
      400: '#A98DC3',
      500: '#9370B4',
      600: '#77519A',
      700: '#583C72',
      800: '#3B284D',
      900: '#1C1325',
      DEFAULT: '#9370B4',
      foreground: '#1f1924',
    },
    success: {
      50: '#E9F7EA',
      100: '#D6F0D8',
      200: '#A9E0AE',
      300: '#80D188',
      400: '#53C15E',
      500: '#3AA145',
      600: '#2E7F36',
      700: '#236129',
      800: '#17401B',
      900: '#0C220E',
      DEFAULT: '#3AA145',
      foreground: '#daedda',
    },
    warning: {
      50: '#FFF2E0',
      100: '#FFE4C2',
      200: '#FFCC8A',
      300: '#FFB24D',
      400: '#FF970F',
      500: '#D37800',
      600: '#A85F00',
      700: '#804800',
      800: '#573100',
      900: '#291700',
      DEFAULT: '#D37800',
      foreground: '#2b1c0b',
    },
    danger: {
      50: '#FBEAEA',
      100: '#F7D5D4',
      200: '#EEABAA',
      300: '#E6817F',
      400: '#DD5250',
      500: '#D22C29',
      600: '#A62321',
      700: '#801B19',
      800: '#551211',
      900: '#2B0908',
      DEFAULT: '#D22C29',
      foreground: '#fbdad1',
    },
  },
};

const lofiTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f8f8f8',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#000000',
    },
    divider: {
      DEFAULT: 'rgba(0, 0, 0, 0.25)',
    },
    focus: {
      DEFAULT: '#000000',
    },
    content1: {
      DEFAULT: '#E6E6E6',
      foreground: '#000000',
    },
    content2: {
      DEFAULT: '#CCCCCC',
      foreground: '#000000',
    },
    content3: {
      DEFAULT: '#999999',
      foreground: '#000000',
    },
    content4: {
      DEFAULT: '#666666',
      foreground: '#000000',
    },
    default: {
      50: '#E6E6E6',
      100: '#CCCCCC',
      200: '#999999',
      300: '#666666',
      400: '#333333',
      500: '#000000',
      600: '#000000',
      700: '#000000',
      800: '#000000',
      900: '#000000',
      DEFAULT: '#666666',
      foreground: '#000000',
    },
    primary: {
      50: '#E8E8E8',
      100: '#CFCFCF',
      200: '#9E9E9E',
      300: '#6E6E6E',
      400: '#3D3D3D',
      500: '#0D0D0D',
      600: '#0A0A0A',
      700: '#080808',
      800: '#050505',
      900: '#030303',
      DEFAULT: '#0D0D0D',
      foreground: '#ffffff',
    },
    secondary: {
      50: '#E9E8E8',
      100: '#D2D0D0',
      200: '#A5A1A1',
      300: '#787373',
      400: '#494646',
      500: '#1A1919',
      600: '#151414',
      700: '#100F0F',
      800: '#0A0A0A',
      900: '#050505',
      DEFAULT: '#1A1919',
      foreground: '#ffffff',
    },
    success: {
      50: '#EBF9EB',
      100: '#DCF4DC',
      200: '#B8EAB8',
      300: '#91DE91',
      400: '#6ED36E',
      500: '#4BC94B',
      600: '#33A933',
      700: '#267E26',
      800: '#1A561A',
      900: '#0D2B0D',
      DEFAULT: '#4BC94B',
      foreground: '#000000',
    },
    warning: {
      50: '#FEEEEC',
      100: '#FDE1DD',
      200: '#FBC2BC',
      300: '#F89F96',
      400: '#F68174',
      500: '#F46252',
      600: '#F02A14',
      700: '#B61D0C',
      800: '#7D1408',
      900: '#3E0A04',
      DEFAULT: '#F46252',
      foreground: '#ffffff',
    },
    danger: {
      50: '#FBE9F4',
      100: '#F8D3EA',
      200: '#F0A3D2',
      300: '#E977BD',
      400: '#E24BA8',
      500: '#D4228F',
      600: '#AB1B74',
      700: '#7F1456',
      800: '#540D39',
      900: '#2C071E',
      DEFAULT: '#D4228F',
      foreground: '#ffffff',
    },
  },
};

const pastelTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fbfdfe',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#303030',
    },
    divider: {
      DEFAULT: 'rgba(48, 48, 48, 0.25)',
    },
    focus: {
      DEFAULT: '#bfabca',
    },
    content1: {
      DEFAULT: '#F1F6F9',
      foreground: '#13252F',
    },
    content2: {
      DEFAULT: '#E6EFF5',
      foreground: '#25475A',
    },
    content3: {
      DEFAULT: '#C9DDE9',
      foreground: '#386C89',
    },
    content4: {
      DEFAULT: '#AFCDDE',
      foreground: '#4A8EB5',
    },
    default: {
      50: '#F1F6F9',
      100: '#E6EFF5',
      200: '#C9DDE9',
      300: '#AFCDDE',
      400: '#93BBD2',
      500: '#79ABC8',
      600: '#4A8EB5',
      700: '#386C89',
      800: '#25475A',
      900: '#13252F',
      DEFAULT: '#AFCDDE',
      foreground: '#25475A',
    },
    primary: {
      50: '#FAF9FB',
      100: '#F5F2F7',
      200: '#ECE6EF',
      300: '#E2D9E7',
      400: '#D9CDE0',
      500: '#D0C1D8',
      600: '#A98EB8',
      700: '#835E96',
      800: '#573F64',
      900: '#2C1F32',
      DEFAULT: '#D0C1D8',
      foreground: '#1c2728',
    },
    secondary: {
      50: '#FEFBFB',
      100: '#FCF3F4',
      200: '#FAEBED',
      300: '#F7DEE2',
      400: '#F5D6DB',
      500: '#F2CBD1',
      600: '#E08592',
      700: '#CE3B51',
      800: '#8F2434',
      900: '#451119',
      DEFAULT: '#F2CBD1',
      foreground: '#2e2829',
    },
    success: {
      50: '#EEFEEC',
      100: '#DFFCE3',
      200: '#C0FACD',
      300: '#9EF1B8',
      400: '#81E3AA',
      500: '#59D298',
      600: '#41B488',
      700: '#2C9779',
      800: '#1C7969',
      900: '#11645E',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEFBE2',
      100: '#FEF7CF',
      200: '#FDEEA1',
      300: '#FBE171',
      400: '#F8D34E',
      500: '#F4BE15',
      600: '#D19D0F',
      700: '#AF7F0A',
      800: '#8D6206',
      900: '#754E04',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FEF6EE',
      100: '#FEEDE3',
      200: '#FDD6C8',
      300: '#F9B9AB',
      400: '#F49E95',
      500: '#EE7372',
      600: '#CC535C',
      700: '#AB394C',
      800: '#8A243D',
      900: '#721534',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
  layout: {
    radius: {
      small: '0.75rem',
      medium: '1rem',
      large: '1.5rem',
    },
  },
};

const fantasyTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f8f9fb',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#212938',
    },
    divider: {
      DEFAULT: 'rgba(33, 41, 56, 0.25)',
    },
    focus: {
      DEFAULT: '#4b0a55',
    },
    content1: {
      DEFAULT: '#E5E9F0',
      foreground: '#08090D',
    },
    content2: {
      DEFAULT: '#CCD3E1',
      foreground: '#0D1016',
    },
    content3: {
      DEFAULT: '#95A4C1',
      foreground: '#151A23',
    },
    content4: {
      DEFAULT: '#6278A2',
      foreground: '#1A212D',
    },
    default: {
      50: '#E5E9F0',
      100: '#CCD3E1',
      200: '#95A4C1',
      300: '#6278A2',
      400: '#40506D',
      500: '#212938',
      600: '#1A212D',
      700: '#151A23',
      800: '#0D1016',
      900: '#08090D',
      DEFAULT: '#6278A2',
      foreground: '#0D1016',
    },
    primary: {
      50: '#F7DFFB',
      100: '#EEBBF6',
      200: '#DE77EE',
      300: '#CE38E6',
      400: '#A418B9',
      500: '#690F76',
      600: '#540C5F',
      700: '#400948',
      800: '#28062D',
      900: '#140317',
      DEFAULT: '#690F76',
      foreground: '#e1cfe3',
    },
    secondary: {
      50: '#EAF3FA',
      100: '#D2E5F4',
      200: '#A4CCEA',
      300: '#7BB4E0',
      400: '#4E9AD5',
      500: '#2D7EBE',
      600: '#246699',
      700: '#1B4D73',
      800: '#12324A',
      900: '#091925',
      DEFAULT: '#2D7EBE',
      foreground: '#dae5f3',
    },
    success: {
      50: '#EEFEEC',
      100: '#DFFCE3',
      200: '#C0FACD',
      300: '#9EF1B8',
      400: '#81E3AA',
      500: '#59D298',
      600: '#41B488',
      700: '#2C9779',
      800: '#1C7969',
      900: '#11645E',
      DEFAULT: '#59D298',
      foreground: '#0b3320',
    },
    warning: {
      50: '#FEFBE2',
      100: '#FEF7CF',
      200: '#FDEEA1',
      300: '#FBE171',
      400: '#F8D34E',
      500: '#F4BE15',
      600: '#D19D0F',
      700: '#AF7F0A',
      800: '#8D6206',
      900: '#754E04',
      DEFAULT: '#F4BE15',
      foreground: '#362800',
    },
    danger: {
      50: '#FEF6EE',
      100: '#FEEDE3',
      200: '#FDD6C8',
      300: '#F9B9AB',
      400: '#F49E95',
      500: '#EE7372',
      600: '#CC535C',
      700: '#AB394C',
      800: '#8A243D',
      900: '#721534',
      DEFAULT: '#EE7372',
      foreground: '#430100',
    },
  },
};

const wireframeTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fdfdfd',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#303030',
    },
    divider: {
      DEFAULT: 'rgba(48, 48, 48, 0.25)',
    },
    focus: {
      DEFAULT: '#a6a6a6',
    },
    content1: {
      DEFAULT: '#F7F7F7',
      foreground: '#262626',
    },
    content2: {
      DEFAULT: '#F2F2F2',
      foreground: '#4D4D4D',
    },
    content3: {
      DEFAULT: '#E6E6E6',
      foreground: '#707070',
    },
    content4: {
      DEFAULT: '#D6D6D6',
      foreground: '#969696',
    },
    default: {
      50: '#F7F7F7',
      100: '#F2F2F2',
      200: '#E6E6E6',
      300: '#D6D6D6',
      400: '#C9C9C9',
      500: '#BDBDBD',
      600: '#969696',
      700: '#707070',
      800: '#4D4D4D',
      900: '#262626',
      DEFAULT: '#D6D6D6',
      foreground: '#4D4D4D',
    },
    primary: {
      50: '#F7F7F7',
      100: '#F0F0F0',
      200: '#E3E3E3',
      300: '#D4D4D4',
      400: '#C7C7C7',
      500: '#B8B8B8',
      600: '#949494',
      700: '#6E6E6E',
      800: '#4A4A4A',
      900: '#242424',
      DEFAULT: '#B8B8B8',
      foreground: '#262626',
    },
    secondary: {
      50: '#F7F7F7',
      100: '#F0F0F0',
      200: '#E3E3E3',
      300: '#D4D4D4',
      400: '#C7C7C7',
      500: '#B8B8B8',
      600: '#949494',
      700: '#6E6E6E',
      800: '#4A4A4A',
      900: '#242424',
      DEFAULT: '#B8B8B8',
      foreground: '#262626',
    },
    success: {
      50: '#E2FFD6',
      100: '#C9FFB3',
      200: '#94FF66',
      300: '#5EFF1A',
      400: '#3DCC00',
      500: '#277F00',
      600: '#1F6600',
      700: '#174D00',
      800: '#0F3300',
      900: '#081900',
      DEFAULT: '#277F00',
      foreground: '#d4e5cc',
    },
    warning: {
      50: '#F6F6EE',
      100: '#EDEDDE',
      200: '#DBDCBC',
      300: '#CACA9B',
      400: '#B8B979',
      500: '#A5A657',
      600: '#858646',
      700: '#646435',
      800: '#424323',
      900: '#212112',
      DEFAULT: '#A5A657',
      foreground: '#222216',
    },
    danger: {
      50: '#FEE7E6',
      100: '#FED0CD',
      200: '#FDA09B',
      300: '#FB6C65',
      400: '#FA3D33',
      500: '#F31006',
      600: '#C20E05',
      700: '#900B04',
      800: '#640702',
      900: '#320401',
      DEFAULT: '#F31006',
      foreground: '#fbdbcc',
    },
  },
  layout: {
    radius: {
      small: '0.15rem',
      medium: '0.2rem',
      large: '0.3rem',
    },
  },
};

const luxuryTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#030100',
    'background-body': '#000000',
    background: {
      DEFAULT: '#09090b',
    },
    foreground: {
      DEFAULT: '#d6a549',
    },
    divider: {
      DEFAULT: 'rgba(214, 165, 73, 0.20)',
    },
    focus: {
      DEFAULT: '#ededed',
    },
    content1: {
      DEFAULT: '#0A0500',
      foreground: '#FFE7D1',
    },
    content2: {
      DEFAULT: '#140A00',
      foreground: '#FFD0A3',
    },
    content3: {
      DEFAULT: '#1F0F00',
      foreground: '#FFA047',
    },
    content4: {
      DEFAULT: '#291400',
      foreground: '#EB7100',
    },
    default: {
      50: '#0A0500',
      100: '#140A00',
      200: '#1F0F00',
      300: '#291400',
      400: '#311800',
      500: '#8F4500',
      600: '#EB7100',
      700: '#FFA047',
      800: '#FFD0A3',
      900: '#FFE7D1',
      DEFAULT: '#311800',
      foreground: '#fce6a2',
    },
    primary: {
      50: '#333333',
      100: '#666666',
      200: '#999999',
      300: '#CCCCCC',
      400: '#FFFFFF',
      500: '#FFFFFF',
      600: '#FFFFFF',
      700: '#FFFFFF',
      800: '#FFFFFF',
      900: '#FFFFFF',
      DEFAULT: '#FFFFFF',
      foreground: '#1d1c1e',
    },
    secondary: {
      50: '#05080F',
      100: '#0B101E',
      200: '#0F1729',
      300: '#141F39',
      400: '#192747',
      500: '#2E4884',
      600: '#466ABE',
      700: '#869ED4',
      800: '#C3CEEA',
      900: '#E1E7F4',
      DEFAULT: '#192747',
      foreground: '#ccced7',
    },
    success: {
      50: '#1D2A09',
      100: '#3A5412',
      200: '#567D1C',
      300: '#73A725',
      400: '#90D02E',
      500: '#A6DA58',
      600: '#BCE382',
      700: '#D3EDAB',
      800: '#E9F6D5',
      900: '#F4FAEA',
      DEFAULT: '#90D02E',
      foreground: '#202913',
    },
    warning: {
      50: '#37340B',
      100: '#6B6415',
      200: '#A29720',
      300: '#D5C72A',
      400: '#E0D660',
      500: '#E6DD7F',
      600: '#EDE6A1',
      700: '#F3EEBF',
      800: '#F9F7E1',
      900: '#FCFBEE',
      DEFAULT: '#E0D660',
      foreground: '#2d2b19',
    },
    danger: {
      50: '#430505',
      100: '#850909',
      200: '#C80E0E',
      300: '#F02D2D',
      400: '#F57271',
      500: '#F78D8D',
      600: '#F9A9A9',
      700: '#FBC6C6',
      800: '#FDE2E2',
      900: '#FEF1F1',
      DEFAULT: '#F57271',
      foreground: '#301c1a',
    },
  },
};

const draculaTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#04050d',
    'background-body': '#000000',
    background: {
      DEFAULT: '#282a36',
    },
    foreground: {
      DEFAULT: '#f8f8f2',
    },
    divider: {
      DEFAULT: 'rgba(248, 248, 242, 0.20)',
    },
    focus: {
      DEFAULT: '#f459b8',
    },
    content1: {
      DEFAULT: '#0C0F2A',
      foreground: '#F4F6FC',
    },
    content2: {
      DEFAULT: '#141833',
      foreground: '#E9ECF6',
    },
    content3: {
      DEFAULT: '#20243F',
      foreground: '#D5DBEE',
    },
    content4: {
      DEFAULT: '#2F334B',
      foreground: '#ACB3CC',
    },
    default: {
      50: '#0C0F2A',
      100: '#141833',
      200: '#20243F',
      300: '#2F334B',
      400: '#414558',
      500: '#7C829A',
      600: '#ACB3CC',
      700: '#D5DBEE',
      800: '#E9ECF6',
      900: '#F4F6FC',
      DEFAULT: '#414558',
      foreground: '#c4cbf5',
    },
    primary: {
      50: '#631069',
      100: '#7F1C7B',
      200: '#9D2C8E',
      300: '#BC409F',
      400: '#DB58B0',
      500: '#E980BC',
      600: '#F49CC6',
      700: '#FBBFD5',
      800: '#FDDEE7',
      900: '#FBEEF7',
      DEFAULT: '#DB58B0',
      foreground: '#47012c',
    },
    secondary: {
      50: '#261466',
      100: '#38227C',
      200: '#52359A',
      300: '#704EB8',
      400: '#926BD6',
      500: '#B290E6',
      600: '#C9A9F2',
      700: '#E0C8FA',
      800: '#F0E3FC',
      900: '#F3EFFB',
      DEFAULT: '#926BD6',
      foreground: '#200150',
    },
    success: {
      50: '#0F7752',
      100: '#19905A',
      200: '#28B366',
      300: '#3AD771',
      400: '#50FA7B',
      500: '#7BFB8F',
      600: '#96FD9C',
      700: '#BBFEB9',
      800: '#E0FEDC',
      900: '#EBFEF0',
      DEFAULT: '#50FA7B',
      foreground: '#10420e',
    },
    warning: {
      50: '#6D771A',
      100: '#86902C',
      200: '#A9B346',
      300: '#CCD766',
      400: '#F1FA8C',
      500: '#F5FBA8',
      600: '#F9FDBA',
      700: '#FBFED1',
      800: '#FDFEE8',
      900: '#FEFFF5',
      DEFAULT: '#F1FA8C',
      foreground: '#484e00',
    },
    danger: {
      50: '#7A1035',
      100: '#931B3A',
      200: '#B72A43',
      300: '#DB3E4B',
      400: '#FF5555',
      500: '#FF8A7F',
      600: '#FFAA99',
      700: '#FFCCBB',
      800: '#FFE8DD',
      900: '#FFF0F0',
      DEFAULT: '#FF5555',
      foreground: '#401d23',
    },
  },
};

const cmykTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f9f9f9',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#303030',
    },
    divider: {
      DEFAULT: 'rgba(48, 48, 48, 0.25)',
    },
    focus: {
      DEFAULT: '#459eec',
    },
    content1: {
      DEFAULT: '#E8E8E8',
      foreground: '#050505',
    },
    content2: {
      DEFAULT: '#D1D1D1',
      foreground: '#0A0A0A',
    },
    content3: {
      DEFAULT: '#A3A3A3',
      foreground: '#0F0F0F',
    },
    content4: {
      DEFAULT: '#757575',
      foreground: '#141414',
    },
    default: {
      50: '#E8E8E8',
      100: '#D1D1D1',
      200: '#A3A3A3',
      300: '#757575',
      400: '#474747',
      500: '#1A1A1A',
      600: '#141414',
      700: '#0F0F0F',
      800: '#0A0A0A',
      900: '#050505',
      DEFAULT: '#757575',
      foreground: '#0A0A0A',
    },
    primary: {
      50: '#ECF6FD',
      100: '#DEEFFC',
      200: '#BEDEF9',
      300: '#9DCEF6',
      400: '#7DBDF2',
      500: '#5AADEF',
      600: '#208FE9',
      700: '#126CB5',
      800: '#0C4879',
      900: '#06243C',
      DEFAULT: '#5AADEF',
      foreground: '#2b1b1c',
    },
    secondary: {
      50: '#FCEEF4',
      100: '#F9DCE9',
      200: '#F2B5D1',
      300: '#EC93BB',
      400: '#E670A5',
      500: '#DF4C8D',
      600: '#CB246F',
      700: '#971B53',
      800: '#641237',
      900: '#34091C',
      DEFAULT: '#DF4C8D',
      foreground: '#fcdbe5',
    },
    success: {
      50: '#E9F7EA',
      100: '#D6F0D8',
      200: '#A9E0AE',
      300: '#80D188',
      400: '#53C15E',
      500: '#3AA145',
      600: '#2E7F36',
      700: '#236129',
      800: '#17401B',
      900: '#0C220E',
      DEFAULT: '#3AA145',
      foreground: '#daedda',
    },
    warning: {
      50: '#FFF2E0',
      100: '#FFE4C2',
      200: '#FFCC8A',
      300: '#FFB24D',
      400: '#FF970F',
      500: '#D37800',
      600: '#A85F00',
      700: '#804800',
      800: '#573100',
      900: '#291700',
      DEFAULT: '#D37800',
      foreground: '#2b1c0b',
    },
    danger: {
      50: '#FBEAEA',
      100: '#F7D5D4',
      200: '#EEABAA',
      300: '#E6817F',
      400: '#DD5250',
      500: '#D22C29',
      600: '#A62321',
      700: '#801B19',
      800: '#551211',
      900: '#2B0908',
      DEFAULT: '#D22C29',
      foreground: '#fbdad1',
    },
  },
};

const autumnTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#fffefc',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#f1f1f1',
    },
    foreground: {
      DEFAULT: '#303030',
    },
    divider: {
      DEFAULT: 'rgba(48, 48, 48, 0.25)',
    },
    focus: {
      DEFAULT: '#64051e',
    },
    content1: {
      DEFAULT: '#FDFAF4',
      foreground: '#3E1711',
    },
    content2: {
      DEFAULT: '#F8F3EA',
      foreground: '#4B251D',
    },
    content3: {
      DEFAULT: '#F2E5D6',
      foreground: '#5D392E',
    },
    content4: {
      DEFAULT: '#D9C6B3',
      foreground: '#6F5043',
    },
    default: {
      50: '#FDFAF4',
      100: '#F8F3EA',
      200: '#F2E5D6',
      300: '#D9C6B3',
      400: '#B49D8C',
      500: '#826A5C',
      600: '#6F5043',
      700: '#5D392E',
      800: '#4B251D',
      900: '#3E1711',
      DEFAULT: '#D9C6B3',
      foreground: '#4B251D',
    },
    primary: {
      50: '#FED7E5',
      100: '#F8C9C7',
      200: '#F19298',
      300: '#D6576B',
      400: '#AE2D4E',
      500: '#78022C',
      600: '#67012F',
      700: '#560130',
      800: '#45002D',
      900: '#39002B',
      DEFAULT: '#78022C',
      foreground: '#f9b6c9',
    },
    secondary: {
      50: '#F9ECED',
      100: '#FBE2D9',
      200: '#F8C1B4',
      300: '#EA948A',
      400: '#D56968',
      500: '#B93B45',
      600: '#9F2B3E',
      700: '#851D38',
      800: '#6B1231',
      900: '#580B2D',
      DEFAULT: '#B93B45',
      foreground: '#fbd5d4',
    },
    success: {
      50: '#EBF5F2',
      100: '#E0F9E9',
      200: '#C3F4D9',
      300: '#9BDEC0',
      400: '#76BEA4',
      500: '#499380',
      600: '#357E72',
      700: '#246965',
      800: '#175355',
      900: '#0E3F46',
      DEFAULT: '#499380',
      foreground: '#ccfff0',
    },
    warning: {
      50: '#FDF2E8',
      100: '#FDF0CF',
      200: '#FCDCA0',
      300: '#F8C270',
      400: '#F1A74C',
      500: '#E97F14',
      600: '#C8620E',
      700: '#A7490A',
      800: '#873306',
      900: '#6F2403',
      DEFAULT: '#E97F14',
      foreground: '#301a00',
    },
    danger: {
      50: '#FCE8EA',
      100: '#FDDCD0',
      200: '#FBB1A2',
      300: '#F57D73',
      400: '#EB4F51',
      500: '#DF1A2F',
      600: '#BF1335',
      700: '#A00D37',
      800: '#810836',
      900: '#6B0435',
      DEFAULT: '#DF1A2F',
      foreground: '#facbd1',
    },
  },
};

const businessTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#020203',
    'background-body': '#000000',
    background: {
      DEFAULT: '#212121',
    },
    foreground: {
      DEFAULT: '#cccccc',
    },
    divider: {
      DEFAULT: 'rgba(204, 204, 204, 0.20)',
    },
    focus: {
      DEFAULT: '#1e3d65',
    },
    content1: {
      DEFAULT: '#070709',
      foreground: '#E8EAED',
    },
    content2: {
      DEFAULT: '#0F1114',
      foreground: '#CED2D9',
    },
    content3: {
      DEFAULT: '#16191D',
      foreground: '#A0A8B6',
    },
    content4: {
      DEFAULT: '#1D2026',
      foreground: '#6F7B90',
    },
    default: {
      50: '#070709',
      100: '#0F1114',
      200: '#16191D',
      300: '#1D2026',
      400: '#24282F',
      500: '#49515F',
      600: '#6F7B90',
      700: '#A0A8B6',
      800: '#CED2D9',
      900: '#E8EAED',
      DEFAULT: '#120C12',
      foreground: '#cdced0',
    },
    primary: {
      50: '#08111B',
      100: '#101F33',
      200: '#182F4E',
      300: '#204069',
      400: '#284F82',
      500: '#386FB7',
      600: '#6392CF',
      700: '#96B5DF',
      800: '#CCDCEF',
      900: '#E4ECF7',
      DEFAULT: '#284F82',
      foreground: '#d3d8e5',
    },
    secondary: {
      50: '#191D1F',
      100: '#313A3F',
      200: '#4A575E',
      300: '#63747E',
      400: '#80919B',
      500: '#98A6AE',
      600: '#B2BCC2',
      700: '#CCD3D7',
      800: '#E5E9EB',
      900: '#F4F5F6',
      DEFAULT: '#80919B',
      foreground: '#1d1f21',
    },
    success: {
      50: '#16271B',
      100: '#2A4B34',
      200: '#40724F',
      300: '#559668',
      400: '#75B187',
      500: '#90C09F',
      600: '#AED1B8',
      700: '#C8E0CF',
      800: '#E5F0E8',
      900: '#F2F8F4',
      DEFAULT: '#75B187',
      foreground: '#1b231d',
    },
    warning: {
      50: '#31250C',
      100: '#5E4817',
      200: '#8F6D23',
      300: '#C0922F',
      400: '#D5AD55',
      500: '#DEBD78',
      600: '#E6CD99',
      700: '#EEDDB9',
      800: '#F7EFDE',
      900: '#FBF7EF',
      DEFAULT: '#D5AD55',
      foreground: '#2a2317',
    },
    danger: {
      50: '#1F0C09',
      100: '#431914',
      200: '#62251D',
      300: '#813127',
      400: '#A33E31',
      500: '#C85647',
      600: '#D68176',
      700: '#E4ACA5',
      800: '#F1D4D0',
      900: '#F8E9E7',
      DEFAULT: '#A33E31',
      foreground: '#f1d9d2',
    },
  },
  layout: {
    radius: {
      small: '0.075rem',
      medium: '0.1rem',
      large: '0.15rem',
    },
  },
};

const acidTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f7f7fc',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#fafafa',
    },
    foreground: {
      DEFAULT: '#303030',
    },
    divider: {
      DEFAULT: 'rgba(48, 48, 48, 0.25)',
    },
    focus: {
      DEFAULT: '#d211d2',
    },
    content1: {
      DEFAULT: '#E2E2F3',
      foreground: '#05050B',
    },
    content2: {
      DEFAULT: '#C2C2E5',
      foreground: '#0B0B19',
    },
    content3: {
      DEFAULT: '#8888CD',
      foreground: '#0F0F24',
    },
    content4: {
      DEFAULT: '#4B4BB4',
      foreground: '#151532',
    },
    default: {
      50: '#E2E2F3',
      100: '#C2C2E5',
      200: '#8888CD',
      300: '#4B4BB4',
      400: '#33337A',
      500: '#1A1A3E',
      600: '#151532',
      700: '#0F0F24',
      800: '#0B0B19',
      900: '#05050B',
      DEFAULT: '#4B4BB4',
      foreground: '#0B0B19',
    },
    primary: {
      50: '#FEE7FE',
      100: '#FDCEFD',
      200: '#FBA2FB',
      300: '#F971F9',
      400: '#F745F7',
      500: '#F416F5',
      600: '#CD09CD',
      700: '#980698',
      800: '#670467',
      900: '#310231',
      DEFAULT: '#F416F5',
      foreground: '#fcdcff',
    },
    secondary: {
      50: '#FFF2E5',
      100: '#FFE5CC',
      200: '#FFC894',
      300: '#FFAD61',
      400: '#FF9029',
      500: '#F47400',
      600: '#C25E00',
      700: '#944700',
      800: '#612F00',
      900: '#331900',
      DEFAULT: '#F47400',
      foreground: '#301c0b',
    },
    success: {
      50: '#F0F9F4',
      100: '#E1F4E8',
      200: '#C4E9D1',
      300: '#AADFBD',
      400: '#8CD4A6',
      500: '#6FC990',
      600: '#44B66E',
      700: '#338953',
      800: '#215936',
      900: '#112D1B',
      DEFAULT: '#6FC990',
      foreground: '#1b2920',
    },
    warning: {
      50: '#FEFCE7',
      100: '#FDF9D3',
      200: '#FBF2A3',
      300: '#F8EB77',
      400: '#F6E446',
      500: '#F4DF1A',
      600: '#CCB90A',
      700: '#9C8D08',
      800: '#665C05',
      900: '#363003',
      DEFAULT: '#F4DF1A',
      foreground: '#2e2a13',
    },
    danger: {
      50: '#FEE3E1',
      100: '#FECBC8',
      200: '#FC928C',
      300: '#FB5E56',
      400: '#FA2A1F',
      500: '#DA1005',
      600: '#AE0D04',
      700: '#820903',
      800: '#550602',
      900: '#2D0301',
      DEFAULT: '#DA1005',
      foreground: '#fbd9cc',
    },
  },
};

const lemonadeTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f7f7fc',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#303030',
    },
    divider: {
      DEFAULT: 'rgba(48, 48, 48, 0.25)',
    },
    focus: {
      DEFAULT: '#477800',
    },
    content1: {
      DEFAULT: '#E2E2F3',
      foreground: '#05050B',
    },
    content2: {
      DEFAULT: '#C2C2E5',
      foreground: '#0B0B19',
    },
    content3: {
      DEFAULT: '#8888CD',
      foreground: '#0F0F24',
    },
    content4: {
      DEFAULT: '#4B4BB4',
      foreground: '#151532',
    },
    default: {
      50: '#E2E2F3',
      100: '#C2C2E5',
      200: '#8888CD',
      300: '#4B4BB4',
      400: '#33337A',
      500: '#1A1A3E',
      600: '#151532',
      700: '#0F0F24',
      800: '#0B0B19',
      900: '#05050B',
      DEFAULT: '#4B4BB4',
      foreground: '#0B0B19',
    },
    primary: {
      50: '#F0FFDB',
      100: '#E1FFB8',
      200: '#C3FF70',
      300: '#A6FF29',
      400: '#83E000',
      500: '#5B9A00',
      600: '#477A00',
      700: '#365C00',
      800: '#243D00',
      900: '#121F00',
      DEFAULT: '#5B9A00',
      foreground: '#dfebd0',
    },
    secondary: {
      50: '#FDFDE8',
      100: '#FAFAD1',
      200: '#F6F6A7',
      300: '#F2F278',
      400: '#EDED4A',
      500: '#E8E91E',
      600: '#BEBE13',
      700: '#90900E',
      800: '#62620A',
      900: '#2E2E05',
      DEFAULT: '#E8E91E',
      foreground: '#2e2d13',
    },
    success: {
      50: '#FCFEF6',
      100: '#F9FDED',
      200: '#F2FAD7',
      300: '#ECF7C5',
      400: '#E6F5B3',
      500: '#E0F29E',
      600: '#C9E959',
      700: '#ACD31C',
      800: '#718B13',
      900: '#3A480A',
      DEFAULT: '#E0F29E',
      foreground: '#2c2f22',
    },
    warning: {
      50: '#FEFCF1',
      100: '#FDFAE8',
      200: '#FBF4D0',
      300: '#F8EEB4',
      400: '#F6E99D',
      500: '#F4E485',
      600: '#EED43F',
      700: '#CEB213',
      800: '#8C790D',
      900: '#463D06',
      DEFAULT: '#F4E485',
      foreground: '#2e2b1e',
    },
    danger: {
      50: '#FDF7F7',
      100: '#FBEFEF',
      200: '#F8E3E2',
      300: '#F4D3D2',
      400: '#F1C7C6',
      500: '#EDB7B5',
      600: '#DD7773',
      700: '#C93631',
      800: '#872421',
      900: '#421210',
      DEFAULT: '#EDB7B5',
      foreground: '#2c2524',
    },
  },
};

const nightTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#020308',
    'background-body': '#000000',
    background: {
      DEFAULT: '#101729',
    },
    foreground: {
      DEFAULT: '#b7c6f0',
    },
    divider: {
      DEFAULT: 'rgba(183, 198, 240, 0.20)',
    },
    focus: {
      DEFAULT: '#47b4f8',
    },
    content1: {
      DEFAULT: '#050A1C',
      foreground: '#EDF6FC',
    },
    content2: {
      DEFAULT: '#091022',
      foreground: '#DDE9F5',
    },
    content3: {
      DEFAULT: '#0F172A',
      foreground: '#BDD4EB',
    },
    content4: {
      DEFAULT: '#151F32',
      foreground: '#8AA4C4',
    },
    default: {
      50: '#050A1C',
      100: '#091022',
      200: '#0F172A',
      300: '#151F32',
      400: '#1E293B',
      500: '#566B89',
      600: '#8AA4C4',
      700: '#BDD4EB',
      800: '#DDE9F5',
      900: '#EDF6FC',
      DEFAULT: '#1E293B',
      foreground: '#b9cdf5',
    },
    primary: {
      50: '#072B66',
      100: '#0C3D7B',
      200: '#145799',
      300: '#1D73B7',
      400: '#2894D5',
      500: '#59B9E5',
      600: '#7CD4F2',
      700: '#A9EBFA',
      800: '#D3F7FC',
      900: '#E3EFFB',
      DEFAULT: '#2894D5',
      foreground: '#092a3d',
    },
    secondary: {
      50: '#121666',
      100: '#1D237B',
      200: '#2F3699',
      300: '#444DB7',
      400: '#5E68D5',
      500: '#858EE5',
      600: '#A1A9F2',
      700: '#C2C8FA',
      800: '#E0E4FC',
      900: '#EFF0FB',
      DEFAULT: '#5E68D5',
      foreground: '#04084c',
    },
    success: {
      50: '#084F65',
      100: '#0E6A7A',
      200: '#169098',
      300: '#20B6B1',
      400: '#2DD4BF',
      500: '#5DE5C7',
      600: '#7FF2CE',
      700: '#ABFADA',
      800: '#D5FCE9',
      900: '#EAFBF8',
      DEFAULT: '#2DD4BF',
      foreground: '#0c332d',
    },
    warning: {
      50: '#75460F',
      100: '#8D5C19',
      200: '#AF7A28',
      300: '#D19B3A',
      400: '#F4BF50',
      500: '#F8D47B',
      600: '#FBE196',
      700: '#FDEEB9',
      800: '#FEF7DC',
      900: '#FEF8EC',
      DEFAULT: '#F4BF50',
      foreground: '#3f2c00',
    },
    danger: {
      50: '#781549',
      100: '#912353',
      200: '#B43862',
      300: '#D75172',
      400: '#FB7085',
      500: '#FC9399',
      600: '#FDACA9',
      700: '#FECDC6',
      800: '#FEE8E2',
      900: '#FFF0F2',
      DEFAULT: '#FB7085',
      foreground: '#45010c',
    },
  },
};

const coffeeTheme = {
  extend: 'dark',
  colors: {
    'background-title-bar': '#010101',
    'background-body': '#000000',
    background: {
      DEFAULT: '#211721',
    },
    foreground: {
      DEFAULT: '#736d62',
    },
    divider: {
      DEFAULT: 'rgba(115, 109, 98, 0.20)',
    },
    focus: {
      DEFAULT: '#ce822b',
    },
    content1: {
      DEFAULT: '#030203',
      foreground: '#EDE3ED',
    },
    content2: {
      DEFAULT: '#060406',
      foreground: '#D8C5D8',
    },
    content3: {
      DEFAULT: '#0C080C',
      foreground: '#B18BB1',
    },
    content4: {
      DEFAULT: '#0F0A0F',
      foreground: '#875A87',
    },
    default: {
      50: '#030203',
      100: '#060406',
      200: '#0C080C',
      300: '#0F0A0F',
      400: '#120C12',
      500: '#4D334D',
      600: '#875A87',
      700: '#B18BB1',
      800: '#D8C5D8',
      900: '#EDE3ED',
      DEFAULT: '#120C12',
      foreground: '#cac9ca',
    },
    primary: {
      50: '#2E1D0B',
      100: '#5F3D16',
      200: '#8D5A21',
      300: '#BA782B',
      400: '#D5944A',
      500: '#DDA96E',
      600: '#E6BF93',
      700: '#EFD5B9',
      800: '#F6E9DA',
      900: '#FBF5EE',
      DEFAULT: '#D5944A',
      foreground: '#2c2015',
    },
    secondary: {
      50: '#080C0C',
      100: '#101819',
      200: '#182425',
      300: '#223334',
      400: '#2A3F40',
      500: '#4B7072',
      600: '#6B9C9E',
      700: '#9CBDBE',
      800: '#CEDEDF',
      900: '#E6EEEF',
      DEFAULT: '#2A3F40',
      foreground: '#d2d6d6',
    },
    success: {
      50: '#1F2617',
      100: '#405030',
      200: '#5F7647',
      300: '#7E9C5E',
      400: '#9EB685',
      500: '#B1C49C',
      600: '#C5D3B6',
      700: '#D9E2CF',
      800: '#EBF0E5',
      900: '#F5F7F2',
      DEFAULT: '#9EB685',
      foreground: '#21251d',
    },
    warning: {
      50: '#403102',
      100: '#866504',
      200: '#C69606',
      300: '#F8C11B',
      400: '#FAD25D',
      500: '#FBDC7E',
      600: '#FCE49C',
      700: '#FDEDBF',
      800: '#FEF6DC',
      900: '#FFFBF0',
      DEFAULT: '#FAD25D',
      foreground: '#2f2818',
    },
    danger: {
      50: '#461207',
      100: '#87230D',
      200: '#CD3614',
      300: '#ED6040',
      400: '#F39883',
      500: '#F6AE9D',
      600: '#F8C1B5',
      700: '#FAD4CC',
      800: '#FDECE8',
      900: '#FEF3F1',
      DEFAULT: '#F39883',
      foreground: '#2e201d',
    },
  },
};

const winterTheme = {
  extend: 'light',
  colors: {
    'background-title-bar': '#f3f7fe',
    'background-body': '#ffffff',
    background: {
      DEFAULT: '#ffffff',
    },
    foreground: {
      DEFAULT: '#3c4e6b',
    },
    divider: {
      DEFAULT: 'rgba(60, 78, 107, 0.25)',
    },
    focus: {
      DEFAULT: '#2a69e2',
    },
    content1: {
      DEFAULT: '#D5E2FB',
      foreground: '#010409',
    },
    content2: {
      DEFAULT: '#ACC5F7',
      foreground: '#020713',
    },
    content3: {
      DEFAULT: '#588AEE',
      foreground: '#030B1C',
    },
    content4: {
      DEFAULT: '#1655D5',
      foreground: '#040F25',
    },
    default: {
      50: '#D5E2FB',
      100: '#ACC5F7',
      200: '#588AEE',
      300: '#1655D5',
      400: '#0D3482',
      500: '#051431',
      600: '#040F25',
      700: '#030B1C',
      800: '#020713',
      900: '#010409',
      DEFAULT: '#1655D5',
      foreground: '#020713',
    },
    primary: {
      50: '#EBF2FF',
      100: '#D6E4FF',
      200: '#ADCAFF',
      300: '#85AFFF',
      400: '#5C95FF',
      500: '#337AFF',
      600: '#0056F5',
      700: '#0040B8',
      800: '#002B7A',
      900: '#00153D',
      DEFAULT: '#337AFF',
      foreground: '#dce1ff',
    },
    secondary: {
      50: '#EAE9F7',
      100: '#D9D6F0',
      200: '#AFA9E0',
      300: '#8980D1',
      400: '#6357C2',
      500: '#473BA2',
      600: '#393083',
      700: '#2B2361',
      800: '#1C1740',
      900: '#0F0C22',
      DEFAULT: '#473BA2',
      foreground: '#dad4ed',
    },
    success: {
      50: '#F4FAFB',
      100: '#E9F6F6',
      200: '#D0EBEC',
      300: '#BAE1E3',
      400: '#A4D8DB',
      500: '#8BCED1',
      600: '#5BB9BE',
      700: '#3B9196',
      800: '#276063',
      900: '#143233',
      DEFAULT: '#8BCED1',
      foreground: '#1f2929',
    },
    warning: {
      50: '#FDFAF7',
      100: '#FCF8F3',
      200: '#F7EFE3',
      300: '#F4E7D7',
      400: '#F1E0CB',
      500: '#EDD8BC',
      600: '#DBB17A',
      700: '#C98936',
      800: '#855B24',
      900: '#442F12',
      DEFAULT: '#EDD8BC',
      foreground: '#2c2925',
    },
    danger: {
      50: '#FCF3F3',
      100: '#F8E7E7',
      200: '#F1D0D0',
      300: '#EAB8B8',
      400: '#E4A4A4',
      500: '#DD8C8C',
      600: '#CD5656',
      700: '#A53131',
      800: '#6E2121',
      900: '#371010',
      DEFAULT: '#DD8C8C',
      foreground: '#2c201f',
    },
  },
};

const themesConfig = {
  light: lightBase, // blue
  dark: darkBase, // blue
  'light-red': lightRedTheme,
  'light-yellow': lightYellowTheme,
  'light-green': lightGreenTheme,
  'light-cyan': lightCyanTheme,
  'light-purple': lightPurpleTheme,
  'light-pink': lightPinkTheme,
  'dark-red': darkRedTheme,
  'dark-yellow': darkYellowTheme,
  'dark-green': darkGreenTheme,
  'dark-cyan': darkCyanTheme,
  'dark-purple': darkPurpleTheme,
  'dark-pink': darkPinkTheme,
  cupcake: cupcakeTheme,
  bumblebee: bumblebeeTheme,
  emerald: emeraldTheme,
  corporate: corporateTheme,
  synthwave: synthwaveTheme,
  retro: retroTheme,
  cyberpunk: cyberpunkTheme,
  valentine: valentineTheme,
  halloween: halloweenTheme,
  garden: gardenTheme,
  forest: forestTheme,
  aqua: aquaTheme,
  lofi: lofiTheme,
  pastel: pastelTheme,
  fantasy: fantasyTheme,
  wireframe: wireframeTheme,
  luxury: luxuryTheme,
  dracula: draculaTheme,
  cmyk: cmykTheme,
  autumn: autumnTheme,
  business: businessTheme,
  acid: acidTheme,
  lemonade: lemonadeTheme,
  night: nightTheme,
  coffee: coffeeTheme,
  winter: winterTheme,
};

export default themesConfig;
